/********************************************************************************
*                                                                               *
* Copyright (c) 2007, Computer Networks and Internet, University of Tübingen,   *
* Sand 13, 72076 Tübingen, Germany                                              *
*                                                                               *
* All rights reserved.                                                          *
*                                                                               *
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Lesser General Public                    *
* License as published by the Free Software Foundation; either                  *
* version 2.1 of the License, or (at your option) any later version.            *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU              *
* Lesser General Public License for more details.                               *
*                                                                               *
* You should have received a copy of the GNU Lesser General Public              *
* License along with this library; if not, write to the Free Software           *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA       *
*                                                                               *
********************************************************************************/
#ifndef PAM_HANDLER_H_
#define PAM_HANDLER_H_

// PAM Includes

// PAM Includes
#ifdef __APPLE__
#ifdef __cplusplus
extern "C" {
#endif
	#include <pam/pam_modules.h>
#ifdef __cplusplus
}
#endif
#else
	#include <security/pam_modules.h>
#endif


int authorize(pam_handle_t *pamh, int flags, int argc, const char **argv);

int converseWithApp(pam_handle_t *pamh, struct pam_conv* conv, const int messageType, const char* messageContent, char** responseMsg, const int debug);

#endif
