/********************************************************************************
*                                                                               *
* Copyright (c) 2007, Computer Networks and Internet, University of Tübingen,   *
* Sand 13, 72076 Tübingen, Germany                                              *
*                                                                               *
* All rights reserved.                                                          *
*                                                                               *
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Lesser General Public                    *
* License as published by the Free Software Foundation; either                  *
* version 2.1 of the License, or (at your option) any later version.            *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU              *
* Lesser General Public License for more details.                               *
*                                                                               *
* You should have received a copy of the GNU Lesser General Public              *
* License along with this library; if not, write to the Free Software           *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA       *
*                                                                               *
********************************************************************************/
/*
 * XacmlAttribute.cpp
 *
 *  Created on: 17.07.2008
 *      Author: theide
 */

#include "XacmlAttribute.h"

namespace xacml {

XacmlAttribute::XacmlAttribute(string name, string type) {
	// TODO Auto-generated constructor stub
	this->_name = string(name);
	this->_type = string(type);
}

XacmlAttribute::~XacmlAttribute() {
	// TODO Auto-generated destructor stub
}

const string XacmlAttribute::getName()
{
	return this->_name;
}
const string XacmlAttribute::getType() {
	return this->_type;
}
const vector<string>::iterator XacmlAttribute::getValueIterator() {
	return this->values.begin();
}

const vector<string>::iterator XacmlAttribute::getValueIteratorEnd()
{
	return this->values.end();
}

void XacmlAttribute::addValue(string value) {
	this->values.push_back(string(value));
}

}
