Summary:   This package allows you to use Pam for an XACML authentication on your system
Name:      pamxacml
Version:   0.5
Release: 1%{?dist}
License: GPL 
Packager:  Ferrari
Group:     Development/Libraries
Source0: $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Provides:  %{name}-%{version}-%{release}
#BuildRequires: gsoap = 2.7.9-0.1.l
#BuildRequires: gsoap-devel = 2.7.9-0.1.l
BuildRequires: zlib-devel
BuildRequires: libxml2-devel

%description
This package allows you to use Pam for an XACML authentication on your system.

%prep
%setup -q

%build
cd $RPM_BUILD_DIR/pamxacml-0.5
%configure
cd $RPM_BUILD_DIR/pamxacml-0.5
make

%install
cd $RPM_BUILD_DIR/pamxacml-0.5
make install DESTDIR=$RPM_BUILD_ROOT
make install-man DESTDIR=$RPM_BUILD_ROOT

%clean
cd $RPM_BUILD_DIR/pamxacml-0.5
make distclean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README TODO INSTALL 
%dir "//usr/"
%dir "//usr/share/"
%dir "//usr/share/man/"
%dir "//usr/share/man/en/"
%dir "//usr/share/man/en/man1/"
"//usr/share/man/en/man1/pamxacml_test.1.gz"
%dir "//usr/share/man/en/man3/"
"//usr/share/man/en/man3/pamxacml.3.gz"
%dir "//usr/share/man/fr/"
%dir "//usr/share/man/fr/man1/"
"//usr/share/man/fr/man1/pamxacml_test.1.gz"
%dir "//usr/share/man/fr/man3/"
"//usr/share/man/fr/man3/pamxacml.3.gz"
%dir "//usr/share/pam-configs/"
"//usr/share/pam-configs/xacml"
%dir "//lib/"
%dir "//lib/security/"
"//lib/security/pam_xacml.so"
"//lib/security/pam_xacml.so.0.0.0"
"//lib/security/pam_xacml.so.0"
"//lib/security/pam_xacml.la"
"//lib/security/pam_xacml.a"
%dir "//usr/include/pamxacml/"
"//usr/include/pamxacml/pam_xacml_constants.h"
"//usr/bin/pamxacml_test"

%changelog
* Mon Feb 20 2012 Romain Ferrari <romain.ferrari[AT]thalesgroup.com> - 1:0.5-1 
- Stopping SOAP support, better flexibility with REST support
* Mon Sep 19 2011 Romain Ferrari <romain.ferrari[AT]thalesgroup.com> - 1:0.5-1 
- First attempt at spec file 
